﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace Bucherei
{
    class Nutzerverwaltung
    {
        internal static void Anlegen(string Nachname, string Vorname, string Gebdatum)
        {
            StreamWriter SW;
            using (SW = new StreamWriter("nutzer.csv", true))
            {
                SW.WriteLine("{0},{1},{2}", Nachname, Vorname, Gebdatum);
            }
        }

        internal static void AlleAnzeigen()
        {
            if (! System.IO.File.Exists("nutzer.csv"))
            {
                Console.WriteLine();
                Console.WriteLine("Keine Nutzer im System!");
                Console.WriteLine();
                return;
            }
            System.Console.WriteLine();
            System.Console.WriteLine("Folgende Nutzer sind im System:");
            System.Console.WriteLine("{0,15}{1,15}{2,15}","Nachname","Vorname","GebDat");
            StreamReader SR;
            using (SR = new StreamReader("nutzer.csv"))
            {
                while (SR.Peek() != -1)
                {
                    string Line = SR.ReadLine();
                    string[] Elems = Line.Split(',');
                    System.Console.WriteLine("{0,15}{1,15}{2,15}", Elems[0], Elems[1], Elems[2]);
                }
            }
        }
        internal static Nutzer Lesen(int Id)
        {
            if (!System.IO.File.Exists("nutzer.csv"))
            {
                return null;
            }
            int znr = 0;
            StreamReader SR;
            using (SR = new StreamReader("nutzer.csv"))
            {
                while (SR.Peek() != -1)
                {
                    string Line = SR.ReadLine();
                    znr++;
                    if (znr == Id)
                    {
                        string[] Elems = Line.Split(',');
                        return new Nutzer(Elems[0], Elems[1], Elems[2], Id);
                    }
                }
            }
            return null;
        }
    }
}
